public inbox for git-commits@fedoraproject.org
help / color / mirror / Atom feed
* [tests/selinux] pr775-checkpolicy-revdeps: systemd-machined-and-similar: Adjust subtest relevancies
@ 2026-09-11 13:22 Stepan Broz
  0 siblings, 0 replies; only message in thread
From: Stepan Broz @ 2026-09-11 13:22 UTC (permalink / raw)
  To: git-commits

            A new commit has been pushed.

            Repo   : tests/selinux
            Branch : pr775-checkpolicy-revdeps
            Commit : 79e1779579b262639169cffee3cf0d7e18e2af7c
            Author : Stepan Broz <sbroz@redhat.com>
            Date   : 2025-05-13T07:47:38+00:00
            Stats  : +3/-1 in 1 file(s)
            URL    : https://src.fedoraproject.org/tests/selinux/c/79e1779579b262639169cffee3cf0d7e18e2af7c?branch=pr775-checkpolicy-revdeps

            Log:
            systemd-machined-and-similar: Adjust subtest relevancies

- Do not test "RHEL-76352-RHEL-77087-RHEL-78088" on RHEL-9.5 or below
- Do not test "RHEL-85379-RHEL-86528" on RHEL-9.6 or below

---
diff --git a/selinux-policy/systemd-machined-and-similar/runtest.sh b/selinux-policy/systemd-machined-and-similar/runtest.sh
index 87bd723..688629f 100755
--- a/selinux-policy/systemd-machined-and-similar/runtest.sh
+++ b/selinux-policy/systemd-machined-and-similar/runtest.sh
@@ -114,13 +114,15 @@ rlJournalStart
     rlPhaseEnd
     fi
 
-    if ! rlIsRHEL 8 && ! rlIsCentOS 8 ; then
+    if ! rlIsRHEL "<9.6" && ! rlIsCentOS 8 ; then
     rlPhaseStartTest "RHEL-76352 + RHEL-77087 + RHEL-78088"
         rlSESearchRule "allow systemd_machined_t unconfined_service_t : dir { search } [ ]"
         rlSESearchRule "allow systemd_machined_t unconfined_service_t : file { getattr open read ioctl } [ ]"
         rlSESearchRule "allow systemd_machined_t systemd_machined_t : cap_userns { kill } [ ]"
     rlPhaseEnd
+    fi
 
+    if ! rlIsRHEL "<9.7" && ! rlIsCentOS 8 ; then
     rlPhaseStartTest "RHEL-85379 + RHEL-86528"
         rlSESearchRule "allow system_dbusd_t systemd_machined_var_lib_t : dir { read } [ ]"
     rlPhaseEnd

^ permalink raw reply related	[flat|nested] only message in thread

only message in thread, other threads:[~2026-09-11 13:22 UTC | newest]

Thread overview: (only message) (download: mbox.gz / follow: Atom feed)
-- links below jump to the message on this page --
2026-09-11 13:22 [tests/selinux] pr775-checkpolicy-revdeps: systemd-machined-and-similar: Adjust subtest relevancies Stepan Broz

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox